Create list
curl --request POST \
--url https://api.companyenrich.com/lists/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"count": 5000,
"search": {
"lists": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"semanticQuery": "<string>",
"semanticWeight": 0.5,
"exclude": {
"domains": [
"<string>"
],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": [
{
"min": 123,
"max": 123
}
],
"require": [],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
},
"similar": {
"domains": [
"<string>"
],
"similarityWeight": 0,
"minScore": 0.5,
"exclude": {
"domains": [
"<string>"
],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": [
"<unknown>"
],
"require": [],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
count: 5000,
search: {
lists: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
semanticQuery: '<string>',
semanticWeight: 0.5,
exclude: {
domains: ['<string>'],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
},
query: '<string>',
foundedYear: {min: 123, max: 123},
fundingAmount: {min: 123, max: 123},
fundingYear: {min: 123, max: 123},
workforceGrowth: {minPercent: 123, maxPercent: 123},
workforceSize: [{min: 123, max: 123}],
require: [],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
},
similar: {
domains: ['<string>'],
similarityWeight: 0,
minScore: 0.5,
exclude: {
domains: ['<string>'],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
},
query: '<string>',
foundedYear: {min: 123, max: 123},
fundingAmount: {min: 123, max: 123},
fundingYear: {min: 123, max: 123},
workforceGrowth: {minPercent: 123, maxPercent: 123},
workforceSize: ['<unknown>'],
require: [],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
}
})
};
fetch('https://api.companyenrich.com/lists/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/lists/companies"
payload = {
"name": "<string>",
"count": 5000,
"search": {
"lists": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"semanticQuery": "<string>",
"semanticWeight": 0.5,
"exclude": {
"domains": ["<string>"],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": [
{
"min": 123,
"max": 123
}
],
"require": [],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
},
"similar": {
"domains": ["<string>"],
"similarityWeight": 0,
"minScore": 0.5,
"exclude": {
"domains": ["<string>"],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": ["<unknown>"],
"require": [],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"originalCount": 123,
"type": "Manual"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Company · Lists
Create list
Cost:
- For search: 1 credit per company returned. 1 credit if no results are found.
- For similar: 5 credits per company returned. 5 credits if no results are found.
Creates a new list based on a search or similar company request. Up to first 5000 results can be selected to be added to the list. If no companies are found, the list is not created.
POST
/
lists
/
companies
Create list
curl --request POST \
--url https://api.companyenrich.com/lists/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"count": 5000,
"search": {
"lists": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"semanticQuery": "<string>",
"semanticWeight": 0.5,
"exclude": {
"domains": [
"<string>"
],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": [
{
"min": 123,
"max": 123
}
],
"require": [],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
},
"similar": {
"domains": [
"<string>"
],
"similarityWeight": 0,
"minScore": 0.5,
"exclude": {
"domains": [
"<string>"
],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": [
"<unknown>"
],
"require": [],
"regions": [
"<string>"
],
"countries": [
"<string>"
],
"states": [
123
],
"cities": [
123
],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [
123
],
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"fundingRounds": []
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
count: 5000,
search: {
lists: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
semanticQuery: '<string>',
semanticWeight: 0.5,
exclude: {
domains: ['<string>'],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
},
query: '<string>',
foundedYear: {min: 123, max: 123},
fundingAmount: {min: 123, max: 123},
fundingYear: {min: 123, max: 123},
workforceGrowth: {minPercent: 123, maxPercent: 123},
workforceSize: [{min: 123, max: 123}],
require: [],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
},
similar: {
domains: ['<string>'],
similarityWeight: 0,
minScore: 0.5,
exclude: {
domains: ['<string>'],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
},
query: '<string>',
foundedYear: {min: 123, max: 123},
fundingAmount: {min: 123, max: 123},
fundingYear: {min: 123, max: 123},
workforceGrowth: {minPercent: 123, maxPercent: 123},
workforceSize: ['<unknown>'],
require: [],
regions: ['<string>'],
countries: ['<string>'],
states: [123],
cities: [123],
type: [],
category: [],
employees: [],
reportedEmployees: [],
revenue: [],
naicsCode: [123],
keywords: ['<string>'],
technologies: ['<string>'],
fundingRounds: []
}
})
};
fetch('https://api.companyenrich.com/lists/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/lists/companies"
payload = {
"name": "<string>",
"count": 5000,
"search": {
"lists": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"semanticQuery": "<string>",
"semanticWeight": 0.5,
"exclude": {
"domains": ["<string>"],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": [
{
"min": 123,
"max": 123
}
],
"require": [],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
},
"similar": {
"domains": ["<string>"],
"similarityWeight": 0,
"minScore": 0.5,
"exclude": {
"domains": ["<string>"],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
},
"query": "<string>",
"foundedYear": {
"min": 123,
"max": 123
},
"fundingAmount": {
"min": 123,
"max": 123
},
"fundingYear": {
"min": 123,
"max": 123
},
"workforceGrowth": {
"minPercent": 123,
"maxPercent": 123
},
"workforceSize": ["<unknown>"],
"require": [],
"regions": ["<string>"],
"countries": ["<string>"],
"states": [123],
"cities": [123],
"type": [],
"category": [],
"employees": [],
"reportedEmployees": [],
"revenue": [],
"naicsCode": [123],
"keywords": ["<string>"],
"technologies": ["<string>"],
"fundingRounds": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"originalCount": 123,
"type": "Manual"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Body
application/json